.c-lock-scroll {
  position: fixed;
  width: 100%;
  height: 100%;
  left: 0;
  overflow-y: scroll;
}

.m-modal {
  visibility: hidden;
  z-index: 9999999999;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: nowrap;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
}

.m-modal__mask {
  z-index: -1;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
}

.m-modal__cross {
  position: absolute;
  top: 0;
  right: -25px;
  width: 20px;
  height: 20px;
  cursor: pointer;
}

.m-modal__cross::before,
.m-modal__cross::after {
  display: block;
  position: absolute;
  top: 0;
  right: 10px;
  width: 2px;
  height: 20px;
  background-color: #fff;
  content: "";
}

.m-modal__cross::before {
  transform: rotate(45deg);
}

.m-modal__cross::after {
  transform: rotate(-45deg);
}

.modal-fade-out {
  opacity: 1;
  visibility: visible;
  animation: fadeOut 0.3s ease 1 forwards;
}

@-webkit-keyframes fadeOut {
  from {
    opacity: 1;
  }

  to {
    opacity: 0;
  }
}

@keyframes fadeOut {
  from {
    opacity: 1;
  }

  to {
    opacity: 0;
  }
}

.modal-fade-in {
  opacity: 0;
  visibility: visible;
  animation: fadeIn 0.3s ease 1 forwards;
}

@-webkit-keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

.l-dl-modal .m-ui--modal--closebtn {
  position: absolute;
  right: 1rem;
  top: 0;
  bottom: 0;
}

.l-dl-modal .m-ui--modal--closebtn.js-close::after {
  content: '×';
}

.m-dl-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: nowrap;
  width: fit-content;
  text-align: right;
  cursor: pointer;
  margin: 0 auto;
}

@media screen and (min-width: 968px) {
  .cont-dl-bnt {
    display: none;
  }
}

@media screen and (max-width: 968px) {
  .cont-dl-bnt {
    font-size: 18px;
    margin: -25px auto 10px;
  }

  .cont-dl-bnt::after {
    display: inline-block;
    width: 2em;
    height: 2em;
    margin-left: 10px;
    background: center / contain no-repeat url(/trouble/img/download-icon.svg);
    content: '';
  }
}

.header-dl-btn::before {
  display: inline-block;
  width: 20px;
  height: 20px;
  margin-right: 5px;
  background: center / contain no-repeat url(/trouble/img/download-icon.svg);
  content: '';
}

.l-dl-modal .l-dl-modal__box {
  width: min(90%, 600px);
  padding: 20px 20px 25px;
  border: 1px solid #DFDFDF;
  background-color: #fff;
}

@media screen and (max-width: 968px) {
  .l-dl-modal .l-dl-modal__box {
    width: min(90%, 450px);
    padding: 15px 15px 20px;
  }
}

.l-dl-modal .l-dl-modal__ttl {
  margin: 0;
  font-size: 20px;
  font-weight: 700;
}

.l-dl-modal .l-dl-modal__rule {
  border: 1px solid #DFDFDF;
  padding: 10px;
  margin: 10px 0;
  font-size: 16px;
}

.l-dl-modal .l-dl-modal__ctrl-area {
  text-align: center;
}

.l-dl-modal .l-dl-modal__check {
  appearance: none;
}

.l-dl-modal .l-dl-modal__label {
  position: relative;
  display: inline-block;
  margin-bottom: 10px;
  font-size: 20px;
}

.l-dl-modal .l-dl-modal__label::before {
  display: block;
  position: absolute;
  top: 0.3em;
  left: -1.5em;
  width: 0.8em;
  height: 0.8em;
  border: 1px solid #000;
  content: '';
}

.l-dl-modal .l-dl-modal__label::after {
  display: none;
  position: absolute;
  top: -0.1em;
  left: -1.6em;
  width: 1.3em;
  height: 1.3em;
  background: center / contain no-repeat url(/trouble/img/check-icon.svg);
  content: '';
}

.l-dl-modal .l-dl-modal__btn {
  position: relative;
  pointer-events: none;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: nowrap;
  width: 60%;
  padding: 10px;
  margin: 0 auto;
  border-radius: 30px;
  font-size: 20px;
  text-decoration: none;
  color: #000;
  background-color: #DFDFDF;
}

.l-dl-modal .l-dl-modal__btn::after {
  position: absolute;
  top: .6em;
  right: 1.2em;
  display: inline-block;
  width: 1.2em;
  height: 1.2em;
  margin-left: 5px;
  background: center / contain no-repeat url(/trouble/img/pdf-icon.svg);
  content: '';
}

.l-dl-modal .l-dl-modal__check:checked~.l-dl-modal__btn {
  pointer-events: all;
  background-color: #0070C0;
  color: #fff;
}

.l-dl-modal .l-dl-modal__check:checked~.l-dl-modal__label::after {
  display: block;
}

.l-dl-modal .l-dl-modal__check:checked~.l-dl-modal__btn::after {
  filter: invert(1);
}